<html lang="en">
<head>
    <title>Pet Store</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <script type="text/javascript" src="//ajax.googleapis.com/ajax/libs/angularjs/1.2.16/angular.js"></script>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.2/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
    <script>
        var app = angular.module('myApp', []);
        app.value('baseUrl', "//" + window.location.host);
        app.controller('myCtrl', function($scope, $http, baseUrl) {
            /* var res = { "dogCount": 330 };
            $scope.dogData = res.dogCount; */
            $http({
                method: 'GET',
                url: baseUrl + "/dogcount",
                headers: {
                    'content-type': 'application/json'
                },
            }).then(function(res) {
                $scope.dogCount = res.data.dogCount;
            });

            $http({
                method: 'GET',
                url: baseUrl + "/catcount",
                headers: {
                    'content-type': 'application/json'
                },
            }).then(function(res) {
                $scope.catCount = res.data.catCount;
            });
        });
    </script>
</head>       
  
    
<!--<body style="background-color: #74a1b7 #FFA07A;">-->
<!--<body style="background-color: #4AAFCE;">--> 
<body style="background-color: #FFA07A;">
    <div ng-app="myApp" ng-controller="myCtrl" class="container">
        <h2 class="text-center">Welcome to the OpsMx Pet Store</h2><br>
        <div class="row">
            <div class="col-md-6">
                <div class="thumbnail" data-text='Text 1' href="">
                    <img src="##dogimage##" style="width:100%;height: 70%;"><br>
                    <p class="icon-text text-center">No.of dogs available : {{dogCount}}</p>
                </div>
            </div>
            <div class="col-md-6">
                <div class="thumbnail" data-text='Text 2'>
                    <img src="./assets/cat-image.jpg" alt="Nature" style="width:100%;height: 70%;"><br>
                    <p class="icon-text text-center">No.of cats available : {{catCount}}</p>
                </div>
            </div>
        </div>
    </div>
</body>

</html>
